/******************************************************************************
* Module:  Dirtmap.h
* Version: 1
* Created: 26.3.2003
* Author:  This file was generated by the XSI shader wizard v1.0
*
* This file contains the input parameter definition for the Dirtmap wizard.
* Description: Procedurally generated dirt texture map.
*
******************************************************************************/

#ifndef _Dirtmap_H_
#define _Dirtmap_H_

#include <math.h>
#include <shader.h>
#include <shaderhlp.h>

typedef struct
{
	miColor		m_Base;
	miColor		m_Dirt;
	miBoolean	m_Bent;
	miBoolean	m_Probe;
	miBoolean	m_Environ;
	miBoolean	m_IllumInvis;
	miScalar	m_Spread; /* Spread of the cone sampled for dirt, in degrees. */
	miInteger   m_Samples; /* Number of samples to cast. */
	miScalar	m_Near; /* Near distance, below which full dirt gets applied. */
	miScalar	m_Far; /* Far distance, above which no dirt at all gets applied. */
	miScalar	m_Gain; /*Modifies the falloff to create a softer or stronger dirt effect*/
	miVector	m_Dir;
	miScalar	m_DirBlend;
} Dirtmap_params;
extern "C" {
DLLEXPORT int Dirtmap_version(void);
DLLEXPORT miBoolean Dirtmap(
	miColor *out_pResult,
	miState *state,
	Dirtmap_params *in_pParams
);
DLLEXPORT void Dirtmap_init(
	miState * state,
	Dirtmap_params * in_pParams,
	miBoolean *inst_req
);
DLLEXPORT void Dirtmap_exit(
	miState * state,
	Dirtmap_params * in_pParams);
}
#endif
